Create Issue

Body Params
string

Optional. The unique identifier of the incident
If not provided, UUID will be generated server side

string
required

Required. Title of the incident
Title is limited to only 255 characters max

date-time

Optional. Date and time this incident was created

string
required

Required. ID of the incident's category
If not set, this incident will be stored with the default category(None)

answered_questions
array of strings

Optional. An array of all, if any, custom questions that have been answered
by the contributor
@deprecated: Use QuestionAnswer instead. This was a field used for string
custom questions. We've since moved to structured custom questions in the
QuestionAnswer field.

answered_questions
string

Optional. The email address of the contributor

media
array of objects

Optional. Array of media items to be linked to the incident.

media
string

Optional. ID of the site to associate with the incident.
If not provided, no site will be associated with the incident.

string

Optional. The name of the contributor

string

Optional. The contact details of the contributor

location
object

The location that the incident occurred at

string

Optional. The access token used to authenticate the request. This field
should be set when following the contributor flow. Otherwise, authenticate
via normal means.

string

Optional. Description of the issue (maximum 500 characters).

questions_and_answers
array of objects

Optional. An array of all, if any, custom questions that have been answered
for this issue.

questions_and_answers
items
array of objects

Optional. The category fields and questions that applied to this incident
when it was created.

items
date-time

Optional. Date and time this incident occurred at

string

Optional. The ID of the asset associated with this incident.

boolean

Use ai_marking. True when this issue was created via an AI-assisted
flow, for example the QR-code AI Issue Creation flow seeded by
GenerateIncidentStream.

ai_marking
object

Optional. The AI marking the caller declares for this issue, under the
write rules. A caller can set a flag true and cannot clear it, and false is
recorded as absent. Surfaces on Incident.ai_marking. The Assistant sets it
through the mitti-ai-marked header rather than this field.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json